Bug 463116 - yumex - RuntimeError: could not open display
yumex - RuntimeError: could not open display
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-21 18:08 EDT by Flóki Pálsson
Modified: 2008-09-23 03:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-23 03:18:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Flóki Pálsson 2008-09-21 18:08:40 EDT
Description of problem:
Can not start yumex from menu or terminal.
It is possible to run yumex from another client with ssh connection ( ssh -Y floki@192.168.n.n ).
When started from terminal then window for root password appears. 
After typing password and enter, then nothing happes.  

Version-Release number of selected component (if applicable):
yumex-2.0.4-1.fc9.noarch

How reproducible:
always

Steps to Reproduce:
1.
Start yumex from terminal.
( first after login in then root window appears, not second time )
2.
3.
  
Actual results:
[floki@dhcppc3 ~]$ yumex
No protocol specified
Traceback (most recent call last):
  File "/usr/share/yumex/yumex.py", line 29, in <module>
    import gtk,gobject
  File "/usr/lib64/python2.5/site-packages/gtk-2.0/gtk/__init__.py", line 79, in <module>
    _init()
  File "/usr/lib64/python2.5/site-packages/gtk-2.0/gtk/__init__.py", line 67, in _init
    _gtk.init_check()
RuntimeError: could not open display

Expected results:
Se yumex 

Additional info:
Same result for starting as root. 
[root@dhcppc3 ~]# yumex
Comment 1 Flóki Pálsson 2008-09-21 18:58:20 EDT
It is possible to run yumex in KDE.
Comment 2 Tim Lauridsen 2008-09-22 14:19:43 EDT
(In reply to comment #1)
> It is possible to run yumex in KDE.

Yes, yumex is a gtk app, so it should run in KDE without any problems.
Comment 3 Tim Lauridsen 2008-09-22 14:21:09 EDT
This is not an yumex issue, it is some kind of gtk/X issue.

Try 'xhost +' and the run 'yumex'
Comment 4 Flóki Pálsson 2008-09-22 18:18:13 EDT
Thank you.
This works. 
( and solves some other problems )

Note You need to log in before you can comment on or make changes to this bug.